package evgeniy.martian.base.objects;

import evgeniy.martian.base.level.tile.KeyTile;

import java.util.EnumSet;

public class Inventory {

    private final EnumSet<KeyTile.Variant> keys = EnumSet.noneOf(KeyTile.Variant.class);

    public boolean hasKey(KeyTile.Variant key) {
        return keys.contains(key);
    }

    public void addKey(KeyTile.Variant key) {
        keys.add(key);
    }

}
