package evgeniy.martian.base.level.tile;

import evgeniy.martian.base.level.tile.Tile;
import evgeniy.martian.base.objects.Manager;

public class CubeTile extends Tile {

    public CubeTile(int x, int y) {
        super(Type.CUBE, x, y);
    }

    @Override
    public boolean canPass(Manager manager) {
        return true;
    }

    @Override
    public boolean canPassNow(Manager manager) {
        return true;
    }

    @Override
    public String name() {
        return "K";
    }

}
