package evgeniy.martian.base.level.tile;

import evgeniy.martian.base.level.tile.Tile;
import evgeniy.martian.base.objects.Manager;

public class ExitTile extends Tile {

    public ExitTile(int x, int y) {
        super(Type.EXIT, x, y);
    }

    @Override
    public boolean canPass(Manager manager) {
        return true;
    }

    @Override
    public boolean canPassNow(Manager manager) {
        return true;
    }

    @Override
    public String name() {
        return "Q";
    }

}
