package evgeniy.martian.base.level.tile;

import evgeniy.martian.base.level.tile.Tile;
import evgeniy.martian.base.objects.Manager;

public class StartTile extends Tile {

    public StartTile(int x, int y) {
        super(Type.START, x, y);
    }

    @Override
    public boolean canPass(Manager manager) {
        return true;
    }

    @Override
    public boolean canPassNow(Manager manager) {
        return true;
    }

    @Override
    public String name() {
        return "S";
    }

}
