package evgeniy.martian.base.level.tile;

import evgeniy.martian.base.level.tile.Tile;
import evgeniy.martian.base.objects.Manager;

public class WallTile extends Tile {

    public WallTile(int x, int y) {
        super(Type.WALL, x, y);
    }

    @Override
    public boolean canPass(Manager manager) {
        return false;
    }

    @Override
    public boolean canPassNow(Manager manager) {
        return false;
    }

    @Override
    public String name() {
        return "X";
    }

}
